Subject: [scim] Max Results When Listing Resources

From: Shelley <[email-masked]>
Date: Wed, 24 Jul 2013 08:25:49 -0500

The Protocol indicates that service providers may limit the max number of
results returned when listing/querying resources (described in the
Pagination section [1]). However, the Core Schema config resources provides
a "maxResults" sub-attribute as part of the "filter" attribute [2]. Since
Filtering is optional [3], does the "maxResults" configuration also apply
to listing without filtering?

[1] http://tools.ietf.org/html/draft-ietf-scim-api-01#section-3.2.2.4
[2] http://tools.ietf.org/html/draft-ietf-scim-core-schema-01#section-9
[3] http://tools.ietf.org/html/draft-ietf-scim-api-01#section-3.2.2.2